Bug 177488 - emulators/qemu: qemu-1.4
emulators/qemu: qemu-1.4
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Juergen Lock
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-30 01:20 UTC by op
Modified: 2013-09-16 21:40 UTC (History)
0 users

See Also:


Attachments
0001-fix-this-error.patch.txt (2.58 KB, text/plain; charset=US-ASCII)
2013-03-30 01:36 UTC, oliver.pntr
no flags Details
0002-removed-usb-redir-support-while-it-is-broken.patch.txt (577 bytes, text/plain; charset=US-ASCII; name="0002-removed-usb-redir-support-while-it-is-broken.patch.txt")
2013-03-30 01:36 UTC, oliver.pntr
no flags Details
0003-fix-round_page-redefinition.patch.txt (2.70 KB, text/plain; charset=US-ASCII; name="0003-fix-round_page-redefinition.patch.txt")
2013-03-30 01:36 UTC, oliver.pntr
no flags Details
0005-disable-bsd-user.patch.txt (562 bytes, text/plain; charset=US-ASCII)
2013-03-30 01:36 UTC, oliver.pntr
no flags Details
0006-hexdump-fix.diff.txt (628 bytes, text/plain; charset=US-ASCII)
2013-03-30 17:52 UTC, oliver.pntr
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description op 2013-03-30 01:20:00 UTC
The attached patches required to compile qemu-1.4 on FreeBSD 9
Comment 1 op 2013-03-30 01:33:37 UTC
CC other mail address
Comment 2 oliver.pntr 2013-03-30 01:36:35 UTC
disable some unneeded function, and make qemu 1.4 compilable on FreeBSD 9.1

>
Comment 3 nox 2013-03-30 08:23:44 UTC
On Sat, Mar 30, 2013 at 02:36:35AM +0100, Oliver Pinter wrote:
>[..]
> 
> disable some unneeded function, and make qemu 1.4 compilable on FreeBSD 9.1
> 

I think you are building qemu git head as the hexdump function at least
isn't in 1.4.0?  Anyway I have meanwhile updated the qemu-devel port
to 1.4.0 with some similar patches to yours and (among other things)
preliminary bsd-user improvements mostly by ssson and cognet, will
leave the PR open for when I need the hexdump patch for a future
update.

 Thanx,
	Juergen
Comment 4 Juergen Lock freebsd_committer 2013-03-30 08:29:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nox

I'll take it.
Comment 5 oliver.pntr 2013-03-30 17:22:41 UTC
yes this is git head, sorry

On 3/30/13, Juergen Lock <nox@jelal.kn-bremen.de> wrote:
> On Sat, Mar 30, 2013 at 02:36:35AM +0100, Oliver Pinter wrote:
>>[..]
>>
>> disable some unneeded function, and make qemu 1.4 compilable on FreeBSD
>> 9.1
>>
>
> I think you are building qemu git head as the hexdump function at least
> isn't in 1.4.0?  Anyway I have meanwhile updated the qemu-devel port
> to 1.4.0 with some similar patches to yours and (among other things)
> preliminary bsd-user improvements mostly by ssson and cognet, will
> leave the PR open for when I need the hexdump patch for a future
> update.
>
>  Thanx,
> 	Juergen
>
Comment 6 oliver.pntr 2013-03-30 17:52:25 UTC
and one more

On 3/30/13, Oliver Pinter <oliver.pntr@gmail.com> wrote:
> yes this is git head, sorry
>
> On 3/30/13, Juergen Lock <nox@jelal.kn-bremen.de> wrote:
>> On Sat, Mar 30, 2013 at 02:36:35AM +0100, Oliver Pinter wrote:
>>>[..]
>>>
>>> disable some unneeded function, and make qemu 1.4 compilable on FreeBSD
>>> 9.1
>>>
>>
>> I think you are building qemu git head as the hexdump function at least
>> isn't in 1.4.0?  Anyway I have meanwhile updated the qemu-devel port
>> to 1.4.0 with some similar patches to yours and (among other things)
>> preliminary bsd-user improvements mostly by ssson and cognet, will
>> leave the PR open for when I need the hexdump patch for a future
>> update.
>>
>>  Thanx,
>> 	Juergen
>>
>
Comment 7 c.kworr 2013-04-01 13:20:25 UTC
2013-03-30 10:23, Juergen Lock wrote:
>> disable some unneeded function, and make qemu 1.4 compilable on FreeBSD 9.1
>>
>
> I think you are building qemu git head as the hexdump function at least
> isn't in 1.4.0?  Anyway I have meanwhile updated the qemu-devel port
> to 1.4.0 with some similar patches to yours and (among other things)
> preliminary bsd-user improvements mostly by ssson and cognet, will
> leave the PR open for when I need the hexdump patch for a future
> update.

Doesn't build WITHOUT_CURL:

block/qcow.o: In function `encrypt_sectors':
/tmp/ports/usr/ports/emulators/qemu-devel/work/qemu-1.4.0/block/qcow.c:250: 
undefined reference to `AES_cbc_encrypt'
block/qcow2-cluster.o: In function `qcow2_encrypt_sectors':
/tmp/ports/usr/ports/emulators/qemu-devel/work/qemu-1.4.0/block/qcow2-cluster.c:309: 
undefined reference to `AES_cbc_encrypt'
gmake: *** [qemu-nbd] Ðомилка 1
gmake: *** ÐÑÑкÑÐ²Ð°Ð½Ð½Ñ Ð·Ð°Ð²ÐµÑÑÐµÐ½Ð½Ñ Ð·Ð°Ð²Ð´Ð°Ð½Ñ...
block/qcow.o: In function `encrypt_sectors':
/tmp/ports/usr/ports/emulators/qemu-devel/work/qemu-1.4.0/block/qcow.c:250: 
undefined reference to `AES_cbc_encrypt'
block/qcow2-cluster.o: In function `qcow2_encrypt_sectors':
/tmp/ports/usr/ports/emulators/qemu-devel/work/qemu-1.4.0/block/qcow2-cluster.c:309: 
undefined reference to `AES_cbc_encrypt'

-- 
Sphinx of black quartz, judge my vow.
Comment 8 dfilter freebsd_committer 2013-04-01 15:58:02 UTC
Author: nox
Date: Mon Apr  1 14:57:54 2013
New Revision: 315653
URL: http://svnweb.freebsd.org/changeset/ports/315653

Log:
  Remove CURL knob as --disable-curl is now broken upstream.
  
  PR:		ports/177488
  Reported by:	Volodymyr Kostyrko <c.kworr@gmail.com>
  Approved by:	portmgr (erwin)

Modified:
  head/emulators/qemu-devel/Makefile

Modified: head/emulators/qemu-devel/Makefile
==============================================================================
--- head/emulators/qemu-devel/Makefile	Mon Apr  1 14:46:13 2013	(r315652)
+++ head/emulators/qemu-devel/Makefile	Mon Apr  1 14:57:54 2013	(r315653)
@@ -13,7 +13,8 @@ DIST_SUBDIR=	qemu/${PORTVERSION}
 MAINTAINER=	nox@FreeBSD.org
 COMMENT=	QEMU CPU Emulator - development version
 
-LIB_DEPENDS=	pixman-1:${PORTSDIR}/x11/pixman
+LIB_DEPENDS=	pixman-1:${PORTSDIR}/x11/pixman \
+		curl:${PORTSDIR}/ftp/curl
 
 HAS_CONFIGURE=	yes
 USE_BZIP2=	yes
@@ -29,7 +30,7 @@ ONLY_FOR_ARCHS=	amd64 i386 powerpc # XXX
 CONFLICTS_INSTALL=	qemu-[0-9]*
 MAKE_JOBS_SAFE=	yes
 
-OPTIONS_DEFINE=	SAMBA SDL OPENGL GNUTLS SASL JPEG PNG CURL CDROM_DMA PCAP \
+OPTIONS_DEFINE=	SAMBA SDL OPENGL GNUTLS SASL JPEG PNG CDROM_DMA PCAP \
 		USBREDIR GNS3 ADD_AUDIO CLANG_HACK X86_TARGETS BSD_USER \
 		STATIC_LINK
 SAMBA_DESC=		samba dependency (for -smb)
@@ -37,7 +38,6 @@ GNUTLS_DESC=		gnutls dependency (vnc enc
 SASL_DESC=		cyrus-sasl dependency (vnc encryption)
 JPEG_DESC=		jpeg dependency (vnc lossy compression)
 PNG_DESC=		png dependency (vnc compression)
-CURL_DESC=		libcurl dependency (remote images)
 CDROM_DMA_DESC=		IDE CDROM DMA
 PCAP_DESC=		pcap dependency (networking with bpf)
 SEABIOS_GIT_DESC=	add seabios snapshot (-bios bios.bin-1.6.3.1)
@@ -48,7 +48,7 @@ CLANG_HACK_DESC=		clang workaround (resu
 X86_TARGETS_DESC=	Don't build non-x86 system targets
 BSD_USER_DESC=		Also build bsd-user targets (for testing)
 STATIC_LINK_DESC=	Statically link the executables
-OPTIONS_DEFAULT=SDL OPENGL GNUTLS SASL JPEG PNG CURL CDROM_DMA PCAP
+OPTIONS_DEFAULT=SDL OPENGL GNUTLS SASL JPEG PNG CDROM_DMA PCAP
 
 .include <bsd.port.options.mk>
 
@@ -150,12 +150,6 @@ CONFIGURE_ARGS+=	--disable-vnc-png
 LIB_DEPENDS+=	png15:${PORTSDIR}/graphics/png
 .endif
 
-.if empty(PORT_OPTIONS:MCURL)
-CONFIGURE_ARGS+=	--disable-curl
-.else
-LIB_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
-.endif
-
 .if empty(PORT_OPTIONS:MOPENGL)
 CONFIGURE_ARGS+=	--disable-opengl
 .else
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 nox 2013-04-01 16:00:54 UTC
On Mon, Apr 01, 2013 at 03:20:25PM +0300, Volodymyr Kostyrko wrote:
> [...]
> 
> Doesn't build WITHOUT_CURL:
> 
> block/qcow.o: In function `encrypt_sectors':
> /tmp/ports/usr/ports/emulators/qemu-devel/work/qemu-1.4.0/block/qcow.c:250: 
> undefined reference to `AES_cbc_encrypt'
> [...]

Thanx, looks like --disable-curl is now broken upstream so I removed
the knob.

	Juergen
Comment 10 Ed Maste freebsd_committer 2013-04-16 15:32:42 UTC
Any reason not to send these patches upstream to qemu-devel?
Comment 11 Juergen Lock freebsd_committer 2013-09-16 21:40:48 UTC
State Changed
From-To: open->closed

I think most of these are upstream now in 1.6.0 .  Thanks!